---
title: Firefox 85 for developers
slug: Mozilla/Firefox/Releases/85
tags:
  - '85'
  - Firefox
  - Mozilla
  - Release
---
<p>{{FirefoxSidebar}}{{draft}}</p>

<p class="summary">This article provides information about the changes in Firefox 85 that will affect developers. Firefox 85 is the current <a href="https://www.mozilla.org/en-US/firefox/channel/desktop/#beta">Beta version of Firefox</a>, and will ship on <a href="https://wiki.mozilla.org/RapidRelease/Calendar#Future_branch_dates">January 26, 2021</a>.</p>

<h2 id="Changes_for_web_developers">Changes for web developers</h2>

<h3 id="Developer_Tools">Developer Tools</h3>

<h4 id="Removals">Removals</h4>

<h3 id="HTML">HTML</h3>

<h4 id="Removals_2">Removals</h4>

<h3 id="CSS">CSS</h3>

<ul>
  <li>The {{cssxref(":focus-visible")}} pseudo-class is now enabled. ({{bug(1445482)}}). </li>
  <li>The <code>pinch-zoom</code> value for the {{cssxref(":touch-action")}} property is now enabled. ({{bug(1329241)}}). </li>
</ul>

<h4 id="Removals_3">Removals</h4>

<h3 id="JavaScript">JavaScript</h3>

<h4 id="Removals_4">Removals</h4>

<h3 id="HTTP">HTTP</h3>

<h4 id="Removals_5">Removals</h4>

<h3 id="Security">Security</h3>

<h4 id="Removals_6">Removals</h4>

<h3 id="APIs">APIs</h3>

<h4 id="DOM">DOM</h4>

<h4 id="Media_WebRTC_and_Web_Audio">Media, WebRTC, and Web Audio</h4>

<h4 id="Removals_7">Removals</h4>

<h3 id="WebAssembly">WebAssembly</h3>

<h4 id="Removals_8">Removals</h4>

<h2 id="Changes_for_add-on_developers">Changes for add-on developers</h2>

<h4 id="Removals_9">Removals</h4>

<h2 id="Older_versions">Older versions</h2>

<p>{{Firefox_for_developers(84)}}</p>
